#
# spec file for package qshare
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?fuduntu} || 0%{?centos_version} || 0%{?rhel_version}
	%define breq avahi-compat-libdns_sd-devel
%endif
%if 0%{?mdkversion}
%endif
%if 0%{?suse_version}
	%define breq update-desktop-files, fdupes, avahi-compat-mDNSResponder-devel
%endif

Name:           qshare
Version:        2.1.5
Release:        1.1
Summary:        Easy to use personal FTP server
License:        GPL-3.0
Group:          Productivity/Networking/File-Sharing
Url:            http://www.zuzuf.net/qshare/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  %{breq}
BuildRequires:  gcc-c++ cmake make doxygen
BuildRequires:  pkgconfig(QtGui) pkgconfig(QtNetwork) pkgconfig(QtWebKit)
Prefix:         /usr


%package	kde
Summary:        KDE4 support for qShare ftp server
Group:          Productivity/Networking/File-Sharing
Url:            http://www.zuzuf.net/qshare/

%description
Description:	qShare is an easy to use FTP server written in Qt with a built-in service discovery feature. You don't have to edit complex config files to make it run, just install it and run it. Its purpose is to allow sharing files in heterogeneous LAN networks. Let's imagine a network with 3 computers: one is running a Linux desktop, one is running a windows XP and the last one is running windows 7. Without a time consumming configuration step you can't share your files using built-in OS utils but with qShare installed everywhere you you'll be able to access the files you want to share with only a few clicks. Since FTP is an old protocol it is supported by lots of common programs (Dolphin, Firefox, internet explorer, etc...). qShare also has a built-in search feature which saves some network and CPU resources by running the search on the server side and sends back only the results of your request instead of huge file lists.

%description	kde
Description:	Extension scripts used for KDE4 file managers etc.


%prep
%setup


%build
_libsuffix=$(echo %{_lib} | cut -b4-)
cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RelWithDebInfo -DLIB_SUFFIX=$_libsuffix
make

%install
rm -rf %{buildroot}
%{makeinstall} DESTDIR=%{buildroot}

%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Network FileTransfer
%endif

%post
ldconfig

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/qshare
%{_datadir}/applications/qshare.desktop
%{_datadir}/pixmaps/qshare.png
%{_datadir}/qshare

%files	kde
%defattr(-,root,root,-)
%dir %{_datadir}/kde4/
%dir %{_datadir}/kde4/services/
%dir %{_datadir}/kde4/services/ServiceMenus/
%{_datadir}/kde4/services/ServiceMenus/qshare_share.desktop
%{_datadir}/kde4/services/ServiceMenus/qshare_unshare.desktop


%changelog
* Sun Mar 10 2013 Shawn W Dunn <sfalken@fuduntu.org> - 2.1.5-1.1
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 2.1.5-1.1
- Built for Fuduntu

* Thu Dec 06 2012 Petr Vanek <petr@scribus.info> 2.1.5
- version bump

* Wed Aug 29 2012 Petr Vanek <petr@scribus.info> 2.1.4
- version bump

* Mon Jul 23 2012 Petr Vanek <petr@scribus.info> 2.1.3
- initial OBS import
